#include<stdio.h>
int main()
{
 int n, nNova = 0, prvaCifra,z, drugaCifra, trecaCifra, sPrva, sDruga, sTreca;
 scanf("%d",&n);
 if(n<=0 || n>999)
 {
  printf("-1\n");
 }
 else
 {
   trecaCifra = (n%100)%10;
   drugaCifra = (n%100)/10;
   prvaCifra = n/100;
   
  if(prvaCifra > drugaCifra)
  {
    sPrva = prvaCifra;
    sDruga= drugaCifra;
    sTreca = trecaCifra;
  }
  if(prvaCifra < drugaCifra)
  {
   sPrva = drugaCifra;
   sDruga= prvaCifra;
   sTreca = trecaCifra;
  }
  
  if(drugaCifra > trecaCifra)
  {
    sPrva = drugaCifra;
    sDruga= trecaCifra;
    sTreca = prvaCifra;
  }
  if(drugaCifra < trecaCifra)
  {
   sPrva = trecaCifra;
   sDruga= drugaCifra;
   sTreca = prvaCifra;
  }
  
  if(prvaCifra > trecaCifra)
  {
    sPrva = prvaCifra;
    sDruga= trecaCifra;
    sTreca = drugaCifra;
  }
  if(prvaCifra < trecaCifra)
  {
   sPrva = trecaCifra;
   sDruga= prvaCifra;
   sTreca = drugaCifra;
   
  }
  if(sDruga < sTreca)
  {
    z= sDruga;
    sDruga = sTreca;
    sTreca = z;
  }
  if(prvaCifra == drugaCifra && prvaCifra == trecaCifra && trecaCifra == drugaCifra)
  {
     nNova = (sTreca * 100) + (sTreca * 10)sTreca + sTreca;
     printf("%d\n",nNova);
     z = -1;
  }
  if(z!=-1)
  {
  nNova = (sTreca * 100) + (sDruga * 10) + sPrva;
  printf("%d\n",nNova);
  }
  
  
   
 }
 
 
 return 0;
}